// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: get_certificates.sql

package queries

import (
	"context"
)

const getCertificatesForPeer = `-- name: GetCertificatesForPeer :many
SELECT
    certificate
FROM peers.certificates
WHERE peer_id = $1
`

func (q *Queries) GetCertificatesForPeer(ctx context.Context, peerID string) ([][]byte, error) {
	rows, err := q.db.Query(ctx, getCertificatesForPeer, peerID)
	if err != nil {
		return nil, err
	}
	defer rows.Close()
	items := [][]byte{}
	for rows.Next() {
		var certificate []byte
		if err := rows.Scan(&certificate); err != nil {
			return nil, err
		}
		items = append(items, certificate)
	}
	if err := rows.Err(); err != nil {
		return nil, err
	}
	return items, nil
}

const getCertificatesForPeersByCertThumbprints = `-- name: GetCertificatesForPeersByCertThumbprints :many

SELECT
    peer_id,
    certificate
FROM peers.certificates
WHERE certificate_thumbprint = ANY($1::varchar[])
`

type GetCertificatesForPeersByCertThumbprintsRow struct {
	PeerID      string
	Certificate []byte
}

// Copyright © VNG Realisatie 2022
// Licensed under the EUPL
func (q *Queries) GetCertificatesForPeersByCertThumbprints(ctx context.Context, certificateThumbprints []string) ([]*GetCertificatesForPeersByCertThumbprintsRow, error) {
	rows, err := q.db.Query(ctx, getCertificatesForPeersByCertThumbprints, certificateThumbprints)
	if err != nil {
		return nil, err
	}
	defer rows.Close()
	items := []*GetCertificatesForPeersByCertThumbprintsRow{}
	for rows.Next() {
		var i GetCertificatesForPeersByCertThumbprintsRow
		if err := rows.Scan(&i.PeerID, &i.Certificate); err != nil {
			return nil, err
		}
		items = append(items, &i)
	}
	if err := rows.Err(); err != nil {
		return nil, err
	}
	return items, nil
}
